Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Class BrowserSlotPattern

    java.lang.Object
      edu.stanford.smi.protege.model.BrowserSlotPattern

    public class BrowserSlotPattern

extends Object

Author:
  Ray Fergerson

Constructor Summary
`BrowserSlotPattern(List elements)`
`BrowserSlotPattern(Slot slot)`

Method Summary
`boolean` | `contains(Slot slot)`
`static BrowserSlotPattern` | `createFromSerialization(KnowledgeBase kb, String s)`
`boolean` | `equals(Object o)`
`String` | `getBrowserText(Instance instance)`
`List` | `getElements()`
`Slot` | `getFirstSlot()`
`String` | `getSerialization()`
`List<Slot>` | `getSlots()`
`int` | `hashCode()`
`boolean` | `isSimple()`
`void` | `replaceSlot(Slot oldSlot, Slot newSlot)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BrowserSlotPattern

    public BrowserSlotPattern(Slot slot)

### BrowserSlotPattern

    public BrowserSlotPattern(List elements)

Method Detail

### isSimple

    public boolean isSimple()

### getFirstSlot

    public Slot getFirstSlot()

### getSerialization

    public String getSerialization()

### createFromSerialization

    public static BrowserSlotPattern createFromSerialization(KnowledgeBase kb,
                                                             String s)

### contains

    public boolean contains(Slot slot)

### getElements

    public List getElements()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getSlots

    public List<Slot> getSlots()

### replaceSlot

    public void replaceSlot(Slot oldSlot,
                            Slot newSlot)

### getBrowserText

    public String getBrowserText(Instance instance)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.